cogs-configure

Auteur: Pepijn

Categorieën: Greenhost

Uitfasering oude PHP-versies

Binnenkort worden verschillende PHP versies uitgefaseerd. Dit kan betekenen dat ook u uw PHP versie zult moeten aanpassen. Voor lezers die nog niet direct een beeld hebben van wat PHP is, en wat dit voor hun zou kunnen betekenen, leg ik dit in deze post kort uit.

Wat is PHP?

Vroeger bestonden bijna alle websites uit statische HTML. Een HTML-document is in de basis een tekst met vormgeving, zoals kleurtjes, fonts en lettergrootte. Dit kan echter onbeperkt worden uitgebreid met teksteffecten, hyperlinks, afbeeldingen, filmpjes om de bezoeker van je website een betere ervaring te geven.

Omdat de complexiteit van websites steeds verder toeneemt worden de meeste websites tegenwoordig opgebouwd uit meerdere lagen. Er wordt gebruik gemaakt van een database waar de inhoud staat opgeslagen, er worden externe bronnen geladen, zoals advertenties en facebook-links, er wordt gekeken wat voor computer de bezoeker gebruikt om de pagina optimaal weer te kunnen geven, en er is een stylesheet waarin wordt aangegeven hoe alles er uit moet zien. PHP combineert al deze gegevens en maakt hiervan voor iedere bezoeker een op maat gemaakte HTML-pagina.

Waarom wordt PHP geupdate?

PHP is software, en aan alle software wordt ontwikkeld: Er worden nieuwe mogelijkheden toegevoegd, bestaande code wordt verbeterd en verouderde functionaliteiten worden verwijderd. Deze verbeteringen worden gecombineerd in nieuwe (sub)versies van de software. Op hetzelfde moment worden foutjes hersteld en worden veiligheids risico’s gedicht. Dit laatste gebeurt ook bij oudere versies van de software. Op www.php.net vindt u alle technische details met betrekking tot de verschillende PHP-versies. Wij zorgen er voor dat de PHP-versies die wij aanbieden regelmatig worden geupdate, zonder dat u hier iets van merkt.

Op een bepaald moment zijn de verschillen tussen de nieuwste en de oudere versies echter zo groot dat er door de ontwikkelaars van de software wordt besloten om geen wijzigingen meer aan te brengen in de oudere versies. Vanaf dit moment worden er dus geen fouten meer hersteld, en worden veiligheidsrisico’s niet meer gedicht. Dit betekent dat de gebruiker niet meer beschermd wordt als er een lek bekend wordt gemaakt. Op dit moment is het dus belangrijk om over te schakelen op een nieuwere versie.

Wat betekent dit voor u?

Greenhost biedt verscheidene versies van PHP aan. Op dit moment is PHP 7 de nieuwste ondersteunde versie. PHP 5.3 is de oudste versie die nog bij ons draait, maar deze optie wordt binnenkort verwijderd. Hoewel er niks mis is met tussenliggende versies, zoals 5.6, is het over het algemeen wenselijk gebruik te maken van de nieuwste versie. Bijvoorbeeld omdat deze meer mogelijkheden biedt dan een oudere versie, maar vooral ook omdat uw website hierdoor vaak sneller zal draaien. Wanneer u op dit moment gebruik maakt van een versie die binnenkort wordt verwijderd ontvangt u hierover nog individueel bericht van ons. In ons Service Centre kunt u zelf bepalen welke versie u wilt gebruiken. Op onze helpdeskpagina’s vindt u hoe u dit kunt doen. Als u kiest voor de nieuwste versie, en direct zorgt dat de software die u zelf gebruikt volledig geupdate wordt kan uw website weer een tijd mee. Met een beetje mazzel wordt uw website hierdoor nog sneller ook.